import { createRouter, createWebHashHistory } from 'vue-router';


const router = createRouter({
	history: createWebHashHistory(),
	routes: [
		{
			path: '/:path(.*)*',
			redirect: '/home',
		},
		{
			path: '/home',
			name: 'home',
			component: () => import('../views/Home.vue'),
		},
		{
			path: '/certified-products',
			name: 'certified-products',
			component: () => import('../views/IndustrialSoftware.vue'),
		},
		{
			path: '/supply-demand',
			name: 'supply-demand',
			component: () => import('../views/SupplyDemand.vue'),
		},
		{
			path: '/application',
			name: 'application',
			component: () => import('../views/Application.vue'),
		},
		{
			path: '/public-service',
			name: 'public-service',
			component: () => import('../views/PublicService.vue'),
		},
		{
			path: '/news-detail/:id',
			name: 'news-detail',
			component: () => import('../views/NewsDetail.vue'),
		},
		{
			path: '/eec-label-search',
			name: 'eec-label-search',
			component: () => import('../views/EecLabel.vue'),
		},
		{
			path: '/login',
			name: 'login',
			component: () => import('../views/Login.vue'),
		},
		{
			path: '/subsidy-application',
			name: 'subsidy-application',
			component: () => import('../views/SubsidyApplication.vue'),
		},
		{
			path: '/product/:id',
			name: 'product-detail',
			component: () => import('../views/ProductDetail.vue'),
		},
		{
			path: '/payment',
			name: 'payment',
			component: () => import('../views/PaymentPage.vue'),
		},
		{
			path: '/feedback',
			name: 'feedback',
			component: () => import('../views/FeedBack.vue'),
		},
		{
			path: '/order-info',
			name: 'order-info',
			component: () => import('../views/OrderInfo.vue'),
		},
		{
			path:'/select-selpara',
			name:'select-selpara',
			component: () => import('../views/SPump/Select/ByPara2/Index.vue'),
		},
		{
			path:'/Select/PumpList/Index',
			name:'pumplist-index',
			component: () => import('../views/SPump/Select/PumpList/Index.vue'),
		},
		{
			path:'/byParas/Index',
			name:'byParas-index',
			component: () => import('../views/SPump/Detail/byParas/Index.vue'),
		},
		{
			path: '/cart',
			name: 'cart',
			component: () => import('../views/CartPage.vue'),
		},
	],
});
router.beforeEach((to, from, next) => {
	next();
});

export default router;
